Bill to Contacts associated with the subscription
get
/ccstore/v1/selfservice/subscriptions/{subscriptionNumber}/billToContacts
Retrieves all bill to contacts associated with the subscription of logged in profile in the currently authenticated session. If the profile is not logged in or is anonymous then the endpoint will fail. The endpoint will responds with same data what is received from corresponding subscription endpoint
Request
Supported Media Types
- application/json
Path Parameters
-
subscriptionNumber(required): string
The subscription number
Query Parameters
-
finder: array
Filter response fields
-
limit: integer
Specifies the number of bill to contacts to be retrieved starting from offset. Default value for the limit is 25 and max value is also 25.
-
offset: integer
Starting index when paging through contacts.
-
orderBy: string
The sort order
-
q: string
The query to use
-
totalResults: boolean
Calculate total results countDefault Value:
false
Response
Supported Media Types
- application/json
200 Response
Response containing the list of bill to contacts associated with the subscription
Root Schema : getSubscriptionBillToContacts_Response
Type:
Show Source
object-
count:
integer
The number of resource instances returned in the current range.
-
hasMore:
boolean
Indicates whether more resources are available on the server than the subset returned in the response. If true, additional resources can be requested; default is false.
-
items:
array Items
Title:
ItemsThe contact persons in the collection. -
limit:
integer
The actual paging size used by the server.
-
offset:
integer
The offset value used in the current page.
Example:
{
"offset":0,
"count":4,
"hasMore":false,
"limit":25,
"items":[
{
"PrimaryFlag":false,
"ContactPersonId":2474,
"ContactNumber":"CONTACT-1106",
"ContactId":"300100656564641",
"JobTitle":"CFO",
"EmailAddress":null,
"Ordercol":2,
"Name":"Arnold Smithfield"
},
{
"PrimaryFlag":false,
"ContactPersonId":2485,
"ContactNumber":"CONTACT-1012",
"ContactId":"300100656559589",
"JobTitle":"Accounts Payable Supervisor",
"EmailAddress":null,
"Ordercol":2,
"Name":"Doug Weilem"
},
{
"PrimaryFlag":true,
"ContactPersonId":2450,
"ContactNumber":"CONTACT-1013",
"ContactId":"300100656559292",
"JobTitle":"Buyer/Purchasing Agent",
"EmailAddress":null,
"Ordercol":1,
"Name":"Gerry Brown"
},
{
"PrimaryFlag":false,
"ContactPersonId":2451,
"ContactNumber":"CONTACT-1014",
"ContactId":"300100656559381",
"JobTitle":"Accounts Payable Supervisor",
"EmailAddress":null,
"Ordercol":1,
"Name":"Michelle Sunrolley"
}
]
}Nested Schema : items
Type:
Show Source
object-
ContactId:
integer
Title:
Contact IdentifierThe unique identifier of the contact record. -
ContactNumber:
string
Title:
Contact NumberThe system-generated contact number. -
ContactPersonId:
integer
Title:
Contact Person IdentifierThe unique party person identifier related to the contact. -
EmailAddress:
[
"string",
"null"
]
Title:
Email AddressThe contact???s email address. -
JobTitle:
string
Title:
Job TitleThe job title of the contact person. -
Name:
string
Title:
Contact NameThe full name of the contact person. -
Ordercol:
integer
Title:
OrderThe ordering or ranking column used for display. -
PrimaryFlag:
boolean
Title:
Primary FlagIndicates whether this contact is the primary contact.
Default Response
The error response.
The following are the internal error codes thrown by this API when the request processing fails in Oracle Commerce Cloud:
|Error Code|Description|
|------------------|------------------|
|59000|If there is a missing required property.|
|59002|If request can't be processed currently.|
|59003|If there is any invalid path parameter|
|59004|If resource is not found|
|59005|If error occurred while processing input.|
|59008|If any issue occurred while triggering the fusion.|
|59010|If self service is not enabled|
Root Schema : Error
Type:
Show Source
object-
errorCode:
string
The numerical code identifying the error
-
message:
string
-
moreInfo:
string
An optional non-localized message with more information
-
status:
string
The HTTP status code